Subject: Re: linux-next: manual merge of the pinctrl tree with the mmc tree

From: Mark Brown <[email-masked]>
Date: Fri, 10 Apr 2026 14:42:57 +0100

On Fri, Apr 10, 2026 at 03:36:48PM +0200, Ulf Hansson wrote:
> On Fri, 10 Apr 2026 at 15:31, Mark Brown <[email-masked]> wrote:

> > > Indeed since making it I see more failures due to devm_mux_control_get()
> > > not being exported, I have a hard time seeing how exactly
> > > devm_get_mux_control_from_np() is intended to work given that it ignores
> > > the np parameter and is just a straight rename/reprototype of that
> > > function.

> Linus, if possible, I suggest you drop the patch from your pinctrl tree.

> If it's urgent to get this into v7.1 for pinctrl, you may pull my
> immutable mux branch from my mmc tree and let the author of the patch
> base the mux change on that.

It turns out there's also a build failure resulting from another commit
in that series so I really think it needs a bit more time.